Skip to main content
GET
/
v2
/
reports
/
{id}
.json
Retrieve a report in JSON
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/reports/{id}.json \
  --header 'Authorization: Basic <encoded-value>'
{
  "type": "voe",
  "report_id": "6c3fa756-2e76-43e1-55f6-e29fc6ae535d",
  "user_id": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "external_id": "March Connection",
  "generated_at": "2023-03-26T09:19:08.916Z",
  "last_synced_at": "2023-03-24T12:41:21.576Z",
  "accounts": [
    {
      "account": "018728a3-afee-5288-8e8a-c68ceb591359",
      "source": "Worknight",
      "first_name": "Bob",
      "last_name": "Jones",
      "full_name": "Bob Jones",
      "ssn": "522-09-1191",
      "employer": "Whole Goods",
      "employer_address": {
        "city": "New York",
        "country": "US",
        "state": "NY",
        "postal_code": "10014",
        "line1": "852 North W St",
        "line2": null
      },
      "status": "active",
      "employment_type": "full-time",
      "job_title": "Store Manager",
      "original_hire_date": "2020-08-28",
      "start_date": "2020-08-28",
      "end_date": null,
      "last_pay_period_end_date": "2023-03-22",
      "last_paystub_date": "2023-03-24"
    },
    {
      "account": "018728a2-2fe0-cdb4-9486-70b2fe9834f9",
      "source": "Bullseye",
      "first_name": "Bob",
      "last_name": "Jones",
      "full_name": "Bob Jones",
      "ssn": "522-09-1191",
      "employer": "Bullseye",
      "employer_address": {
        "city": "New York",
        "country": "US",
        "state": "NY",
        "postal_code": "10014",
        "line1": "119 Green Ridge",
        "line2": null
      },
      "status": "active",
      "employment_type": "part-time",
      "job_title": "Clerk",
      "original_hire_date": "2020-06-29",
      "start_date": "2020-06-29",
      "end_date": null,
      "last_pay_period_end_date": "2023-02-23",
      "last_paystub_date": "2023-02-24"
    }
  ]
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id.json
string<uuid>
required

Append .json after the ID of the report object.

Response

200 - application/json

Report JSON Example of a Verification of Employment (VOE) Report.